Subject: [netconf] suggest to consider multiple message originators//RE: New Version Notification for draft-mahesh-netconf-https-notif-00.txt

From: Tianran Zhou <[email-masked]>
Date: Wed, 10 Jul 2019 01:36:30 +0000

Hi Mahesh,

When preparing a configured subscription example for multiple message originators. I think your proposal in draft-mahesh-netconf-https-notif-00 could easily adapt to multiple message originators scenario.
You can see my example in A.2 in draft-zhou-netconf-multi-stream-originators-06. 
I suggest to include a list of channels in the receiver configuration. On one hand, it can support the multiple message originators scenario. On the other hand, one channel configuration can be compatible with existing sub-notif.

Cheers,
Tianran

> -----Original Message-----
> From: netconf [mailto:[email-masked]] On Behalf Of Mahesh
> Jethanandani
> Sent: Thursday, June 27, 2019 8:44 AM
> To: Netconf <[email-masked]>
> Subject: [netconf] Fwd: New Version Notification for
> draft-mahesh-netconf-https-notif-00.txt
> 
> Just posted this new draft.
> 
> As the introduction says, the Subscribed Notifications draft defines a YANG
> module for configuring subscribed notifications. That module defines a
> subscription container that contains a list of receivers. But that draft
> defers the configuration and management of the receivers to other documents.
> This draft defines one of those transports and how to configure it.
> 
> Comments are welcome.
> 
> > Begin forwarded message:
> >
> >
> > A new version of I-D, draft-mahesh-netconf-https-notif-00.txt
> > has been successfully submitted by Mahesh Jethanandani and posted to
> > the IETF repository.
> >
> > Name:		draft-mahesh-netconf-https-notif
> > Revision:	00
> > Title:		An HTTPS-based Transport for Configured Subscriptions
> > Document date:	2019-06-26
> > Group:		Individual Submission
> > Pages:		11
> > URL:
> https://www.ietf.org/internet-drafts/draft-mahesh-netconf-https-notif-00
> .txt
> > Status:
> https://datatracker.ietf.org/doc/draft-mahesh-netconf-https-notif/
> > Htmlized:
> https://tools.ietf.org/html/draft-mahesh-netconf-https-notif-00
> > Htmlized:
> https://datatracker.ietf.org/doc/html/draft-mahesh-netconf-https-notif
> >
> >
> > Abstract:
> >   This document defines a YANG data module for configuring HTTPS based
> >   configured subscription, as defined I-D.ietf-netconf-subscribed-
> >   notifications.  The use of HTTPS maximizes transport-level
> >   interoperability, while allowing for encoding selection from text,
> >   e.g.  XML or JSON, to binary.
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at
> tools.ietf.org.
> >
> > The IETF Secretariat
> >
> 
> Mahesh Jethanandani
> [email-masked]
> 
> 
> 
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf